@font-face {
  font-family: 'Gilroy';
  font-weight: 900;
  font-style: normal;
  font-display: swap;
  src: url('/nostalgia/fonts/Gilroy-Black.ttf') format('truetype');
}

.summer-link {
  position: relative;
  margin: 20px auto;
  display: block;
  width: 440px;
}

@media (max-width: 992px) {
  .summer-link {
    width: 100%;
  }
}

.summer-layout {
  position: relative;
  height: 64px;
  padding: 0 15px;
  border-radius: 60px;
  border-bottom: 8px solid transparent;
  display: flex;
  align-items: center;
  justify-content: center;
  background:
    linear-gradient(95deg, #f58948 -0.85%, #f5523e 100%) padding-box,
    linear-gradient(95deg, #f5772e -0.85%, #ef3d06 100%) border-box;
  text-align: center;
}

.summer-layout p {
  color: #fff;
  text-align: center;
  z-index: 2;
  margin-top: 4px;
  text-shadow: 0 2px 4px rgba(0, 0, 0, 0.20);
  font-family: Gilroy, sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 900;
  line-height: 140%;
  letter-spacing: 0.6px;
  text-transform: uppercase;
}

.summer-layout::before {
  content: '';
  position: absolute;
  inset: 0;
  z-index: 1;
  border: 2px solid #f99c8c;
  border-radius: inherit;
  pointer-events: none;
}

.summer-layout::after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  right: 0;
  bottom: -8px;
  border-bottom: 8px solid transparent;
  border-radius: inherit;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: 0.2s ease-in-out;
  background:
    linear-gradient(95deg, #f5523e -0.85%, #f58948 100%) padding-box,
    linear-gradient(90deg, #e62404 0%, #ef5b06 99.36%) border-box;
}

@media (hover: hover) {
  .summer-link:hover .summer-layout::after {
    opacity: 1;
    visibility: visible;
  }
}

@media (max-width: 992px) {
  .summer-layout {
    min-width: 100%;
    width: 100%;
    height: 60px;
  }

  .summer-layout::after {
    bottom: -6px;
    border-bottom: 6px solid transparent;
  }

  .summer-layout p {
    text-align: center;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    font-family: Gilroy, sans-serif;
    font-size: 20px;
    font-weight: 900;
    line-height: 140%;
    letter-spacing: 0.6px;
    text-transform: uppercase;
  }
}

.summer-icons {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  z-index: 2;
  height: 100%;
}

.summer-palm {
  width: 64px;
  height: 64px;
  position: absolute;
  left: 20px;
  bottom: -14px;
}

@media (max-width: 992px) {
  .summer-palm {
    height: 50px;
    bottom: 0;
  }
}

.summer-anchor {
  width: 71px;
  height: 71px;
  position: absolute;
  right: 20px;
  bottom: -18px;
}

@media (max-width: 992px) {
  .summer-anchor {
    height: 50px;
    bottom: 0;
  }
}

.summer-badge {
  position: absolute;
  top: -12px;
  right: 8px;
  padding: 0 4px;
  border-radius: 2px;
  background: radial-gradient(128% 100% at 50% 0%, #8EE3FF 2.6%, #1766B6 57.29%, #31B6FF 100%);
  overflow: hidden;
  color: #fff;
  text-overflow: ellipsis;
  font-family: Manrope, sans-serif;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 130%;
  z-index: 1;
}

@media (max-width: 992px) {
  .summer-badge {
    right: 12px;
  }
}